For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet Encounter Attachments
        • PUTCreate Encounter Attachment
        • PUTCreate Encounter Attachment V2
        • POSTCreate an Attachment from a Charge Capture external ID
        • GETGet Attachments by Charge Capture External ID
        • DELDelete Attachment by Charge Capture External ID
        • DELDelete Encounter Attachment
Contact Sales
LogoLogo
API ReferenceEncounter AttachmentsV1

Create Encounter Attachment

Deprecated
PUT
/api/encounter-attachments/v1/:encounter_id
PUT
/api/encounter-attachments/v1/:encounter_id
$curl -X PUT https://api.joincandidhealth.com/api/encounter-attachments/v1/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F attachment_file=@<filename1> \
> -F attachment_type="DOCUMENTATION"
200Updated
1"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

Uploads a file to the encounter. The file will be stored in the encounter’s attachments. Deprecated: Use create-v2 instead.

Was this page helpful?
Previous

Create Encounter Attachment V2

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

encounter_idUUIDRequired

Request

This endpoint expects a multipart form containing a file.
attachment_filefileRequired

The file for upload. The maximum file size is 25MB. The allowed mime types are:

  • application/pdf
  • image/png
  • image/jpeg
  • text/plain
  • text/csv
  • application/vnd.openxmlformats-officedocument.wordprocessingml.document
  • application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
attachment_typeenumRequired
Allowed values:

Response

This endpoint returns a UUID.